Delete all order discounts with matching discountCode
Delete all order discounts with matching discountCode
Required permissions: SALES_ORDER,RETURN_ORDER
delete/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discountCode/{discountCode}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+discountCodestringRequired
Reference to a discount code
Responses
204
No Content
No content
delete/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discountCode/{discountCode}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discountCode/{discountCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204
No Content
No content
Last updated
Was this helpful?

